Bug 10743 - add style to privacy rules
Summary: add style to privacy rules
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-16 14:31 UTC by Nicole C. Engard
Modified: 2014-12-07 20:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10743: Add styles to 'my privacy' page in OPAC (2.69 KB, patch)
2013-08-16 14:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10743: Add styles to 'my privacy' page in OPAC (2.87 KB, patch)
2013-08-20 16:07 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10743: Add styles to 'my privacy' page in OPAC (2.93 KB, patch)
2013-08-21 06:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-08-16 14:31:39 UTC
On the 'my privacy' page in the OPAC the privacy container includes the header, so I think we need another container for just the privacy rules so that it can be easily edited.

Patch to follow.
Comment 1 Nicole C. Engard 2013-08-16 14:35:38 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-08-20 16:07:46 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-08-21 06:44:19 UTC
Created attachment 20521 [details] [review]
[PASSED QA] Bug 10743: Add styles to 'my privacy' page in OPAC

This patch does a couple things.  Most importantly it adds
a new div around the privacy rules summary so that it can
be easily changed. It also moves the start of the form to
right above the form's select box so that it's not in the
new privacy rules div.

To test:

* Apply patch
* Enable the use of privacy via the sys prefs
* Log in to the OPAC
* Visit the 'my privacy' tab
* Make sure it looks okay
* Submit the form and make sure it works
* Repeat in the other theme

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Edit: Replaced a few tabs with spaces to keep the QA script happy.
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, privacy options can still be edited.
Comment 4 Galen Charlton 2013-08-21 15:26:32 UTC
Pushed to master.  Thanks, Nicole!
Comment 5 Tomás Cohen Arazi 2013-09-13 16:45:22 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Nicole!